Airwallex logo
Airwallex logoAirwallex logo

TerminalsBeta

Copy for LLMView as Markdown

A Terminal represents a physical device that can process payments. This API allows you to manage terminals, including creating, retrieving, updating, activating, deactivating, terminating, and processing payment intents in terminals.

A Terminal can be in one of the following states: 1. ACTIVE: The Terminal is activated and ready to use. 2. INACTIVE: The Terminal is deactivated for any reason. 3. TERMINATED: The Terminal is terminated and can't be used anymore.

Endpoints
POST /api/v1/pa/pos/terminals/create
GET /api/v1/pa/pos/terminals/{id}
GET /api/v1/pa/pos/terminals
POST /api/v1/pa/pos/terminals/{id}/process_payment_intent
POST /api/v1/pa/pos/terminals/{id}/activate
POST /api/v1/pa/pos/terminals/{id}/deactivate
POST /api/v1/pa/pos/terminals/{id}/terminate
POST /api/v1/pa/pos/terminals/{id}/update
POST /api/v1/pa/pos/terminals/{id}/reset_password
POST /api/v1/pa/pos/terminals/{id}/cancel_current_operation

Create a terminal

POST /api/v1/pa/pos/terminals/create

Create a new Terminal. The activation_code must be provided in the request body. The nickname is optional and can be used to identify the terminal.

Request body
activation_coderequiredstring

The activation code read from the terminal

connected_account_idstring

Airwallex assigned account identifier of the connected entity(another account which is linked with platform). It is to be used by the platform to indicate the connected entity in the transaction where platform is the owner of transaction. Notice: This can not be used with x-on-behalf-of header together.

nicknamestring

Nickname of the Terminal

request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 201 Created
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "activation_code": "MEFCMSBC",
> "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
> "nickname": "cloth store",
> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9"
>}'
Response (201 Created)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Retrieve a terminal

GET /api/v1/pa/pos/terminals/{id}

Retrieve a Terminal by unique identifier.

Parameters
idrequiredstring

Terminal unique identifier

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/pos/terminals/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/terminal_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Get list of terminals

GET /api/v1/pa/pos/terminals

Retrieve list of Terminals.

Parameters
device_modelstring

Optional device model filter

nicknamestring

Optional nickname filter of the Terminal

pagestring

Page for pagination

page_sizeinteger

Number of Terminals to be listed per page. Default value is 10. Maximum is 1000. The value greater than the maximum will be capped to the maximum.

serial_numberstring

Optional serial number of the Terminal

statusstring

Optional operational status filter of the Terminal

Response body - 200 OK
itemsarray

List items

items.admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
items.connected_account_idstring

Account identifier of the connected account.

items.idstring

Terminal unique identifier

items.modelstring

Model of the Terminal, possible values are morefun_m90.

items.nicknamestring

Nickname of the Terminal

items.refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
items.serial_numberstring

Serial number of the Terminal

items.statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
page_afterstring

A pointer to the end of the page list used in pagination to retrieve the next page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the next page of results. The value will be null for the last page.

page_beforestring

A pointer to the start of the page list used in pagination to retrieve the previous page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the previous page of results. The value will be null for the first page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/pos/terminals
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "admin_password_status": "ACTIVE",
5 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
6 "id": "ter_st8szlkh4z0nbfikx",
7 "model": "morefun_m90",
8 "nickname": "cloth store",
9 "refund_password_status": "ACTIVE",
10 "serial_number": "19250220790001",
11 "status": "ACTIVE"
12 }
13 ],
14 "page_after": "eyJrIjpbeyJuIjoiYXd4VGVybWluYWxJZCIsInYiOiJ0ZXJfc3Q4dnZmN2g0dGh0ZGVpcmQiLCJvIjoiYSIsInQiOiJqYXZhLmxhbmcuU3RyaW5nIn1dLCJkIjoiYWZ0ZXIiLCJmIjoibiIsInYiOjF9",
15 "page_before": "eyJrIjpbeyJuIjoiYXd4VGVybWluYWxJZCIsInYiOiJ0ZXJfc3RoYjd0aGgycnEydHNvcnUiLCJvIjoiYSIsInQiOiJqYXZhLmxhbmcuU3RyaW5nIn1dLCJkIjoiYmVmb3JlIiwiZiI6Im4iLCJ2IjoxfQ=="
16}
Was this section helpful?

Process a PaymentIntent in a terminal

POST /api/v1/pa/pos/terminals/{id}/process_payment_intent

Process a PaymentIntent In a Terminal.

Parameters
idrequiredstring

Terminal unique identifier

Request body
payment_intent_idrequiredstring

Unique identifier of PaymentIntent

payment_methodobject

The PaymentMethod to use for the PaymentIntent. If unfilled, the default payment method set on the terminal will be used.

payment_method.typerequiredstring

Type of the PaymentMethod (e.g. card_present, pay_now, wechatpay).

payment_method_optionsobject

Options for PaymentMethod

payment_method_options.cardobject

The PaymentMethod options for card

payment_method_options.card.authorization_typestring

The authorization type of the card payment. One of final_auth, pre_auth. Default to final_auth. Set it to pre_auth if you want to place a hold on your customer’s card for more than 7 days. Currently only available when the card brand is visa or mastercard. You must also set auto_capture to be false if you want to do pre-auth.

payment_method_options.card.auto_captureboolean

Specifies whether the funds should be requested automatically after the payment is authorized. Default to true. Set it to false if you want to capture the funds sometimes later.

request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation, terminal_busy, terminal_unavailable

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/process_payment_intent
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/terminal_id/process_payment_intent' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "payment_intent_id": "int_hkstskz7vg1xc7uscdj",
> "payment_method": {
> "type": "card_present"
> },
> "payment_method_options": {
> "card": {
> "authorization_type": "final_auth",
> "auto_capture": true
> }
> },
> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9"
>}'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Activate a terminal

POST /api/v1/pa/pos/terminals/{id}/activate

Activate a Terminal.

Parameters
idrequiredstring

Terminal unique identifier

Request body
request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/activate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/terminal_id/activate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9"
>}'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Deactivate a terminal

POST /api/v1/pa/pos/terminals/{id}/deactivate

Deactivate a Terminal.

Parameters
idrequiredstring

Terminal unique identifier

Request body
request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/deactivate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/{id}/deactivate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "request_id": "962dbd83-5e7b-4185-b668-596834395c12"
>}'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "INACTIVE"
10}
Was this section helpful?

Terminate a terminal

POST /api/v1/pa/pos/terminals/{id}/terminate

Terminate a Terminal.

Parameters
idrequiredstring

Terminal unique identifier

Request body
request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/terminate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/{id}/terminate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "request_id": "962dbd83-5e7b-4185-b668-596834395c12"
>}'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "TERMINATED"
10}
Was this section helpful?

Update a terminal

POST /api/v1/pa/pos/terminals/{id}/update

Update a Terminal.

Parameters
idrequiredstring

Terminal unique identifier

Request body
nicknamestring

Nickname of the Terminal

request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/terminal_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "nickname": "cloth store",
> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9"
>}'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Reset a terminal password

POST /api/v1/pa/pos/terminals/{id}/reset_password

Reset a Terminal password.

Parameters
idrequiredstring

Terminal unique identifier

Request body
password_typestring

Terminal password type

admin

  • The terminal admin password. refund
  • The terminal refund password.
request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/reset_password
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/{id}/reset_password' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "password_type": "admin",
> "request_id": "962dbd83-5e7b-4185-b668-596834395c12"
>}'
Response (200 OK)
1{
2 "admin_password_status": "RESET_REQUESTED",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?

Cancel current operation on a terminal

POST /api/v1/pa/pos/terminals/{id}/cancel_current_operation

Cancel current operation on a Terminal if possible.

Parameters
idrequiredstring

Terminal unique identifier

Response body - 200 OK
admin_password_statusstring

The terminal admin password status

  • ACTIVE: The terminal admin password is active.
  • LOCKED: The terminal admin password is locked.
  • RESET_REQUESTED: The terminal admin password requires reset.
connected_account_idstring

Account identifier of the connected account.

idstring

Terminal unique identifier

modelstring

Model of the Terminal, possible values are morefun_m90.

nicknamestring

Nickname of the Terminal

refund_password_statusstring

The terminal refund password status

  • ACTIVE: The terminal refund password is active.
  • LOCKED: The terminal refund password is locked.
  • RESET_REQUESTED: The terminal refund password requires reset.
  • OPT_OUT: The terminal refund password is opted out.
serial_numberstring

Serial number of the Terminal

statusstring

Operational status of the Terminal

  • ACTIVE: The Terminal is activated and ready to use.
  • INACTIVE: The Terminal is deactivated for any reason.
  • TERMINATED: The Terminal is terminated and can't be used anymore.
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation, terminal_busy, terminal_unavailable

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/pos/terminals/{id}/cancel_current_operation
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/pos/terminals/terminal_id/cancel_current_operation' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "admin_password_status": "ACTIVE",
3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",
4 "id": "ter_st8szlkh4z0nbfikx",
5 "model": "morefun_m90",
6 "nickname": "cloth store",
7 "refund_password_status": "ACTIVE",
8 "serial_number": "19250220790001",
9 "status": "ACTIVE"
10}
Was this section helpful?